Skip to main content
POST
Rehire employee
Closed Beta Feature: This endpoint is now in closed beta. Please reach out to your account manager or support.
First, get the rehire form. Send the required values in properties, using the field keys returned by GET.
This endpoint requires the permission Create and manage employees to be enabled in your scope config.

Example Request Body

Authorizations

Authorization
string
header
required

Create an API key on the Secrets page in the Kombo dashboard.

Headers

X-Integration-Id
string
required

ID of the integration you want to interact with.

Path Parameters

employee_id
string
required

The Kombo ID or the HRIS ID of the employee.

Example:

"remote:12345"

Body

application/json

POST /hris/employees/:employee_id/form/rehire Request body

properties
object
required

Use the field keys returned by GET and include all required fields.

staffing_entity_id
string

The Kombo ID of the position or requisition to rehire into. If provided, use the same ID for GET and POST.

Required string length: 24
Pattern: ^[1-9A-HJ-NP-Za-km-z]+$

Response

POST /hris/employees/:employee_id/form/rehire Positive response

status
string
required
Allowed value: "success"
data
object
required
Example: